package be.iminds.ilabt.jfed.experimenter_gui.bugreporting;

import be.iminds.ilabt.jfed.experimenter_gui.ui.AbstractDialogFactory;
import javafx.fxml.FXMLLoader;
import javafx.stage.Stage;

import javax.inject.Inject;
import javax.inject.Named;
import javax.inject.Provider;
import javax.inject.Singleton;

/**
 * User: twalcari
 * Date: 12/16/2014
 * Time: 10:39
 */
@Singleton
public class BugReportDialogFactory extends AbstractDialogFactory {
    @Inject
    public BugReportDialogFactory(Provider<FXMLLoader> loaderProvider, @Named("parentStage") Provider<Stage> parentStageProvider
    ) {
        super(loaderProvider, parentStageProvider );
    }

    @Override
    protected String getTitle() {
        return "jFed Bug Report";
    }
}
